Skip to main content
`Ctrl`+`K`

# BasicData

class astropy.io.ascii.BasicData

  Bases: `BaseData`

  Basic table Data Reader.

  Set a few defaults for common ascii table formats (start at line 1, comments begin with `#` and possibly white space)

  Attributes Summary

  `comment` | Regular expression for comment lines
  `start_line` | None, int, or a function of `lines` that returns None or int
  `write_comment` |

  Attributes Documentation

  comment = '\\s*#'

    Regular expression for comment lines

  start_line = 1

    None, int, or a function of `lines` that returns None or int

  write_comment = '# '